<?php
/*

PBSWeb: A Web-based Interface to PBS
Copyright (C) 2000, 2001  Paul Lu

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

.......................
Please leave this copyright notice intact.
See http://www.gnu.org/copyleft/gpl.html for further details

Contact information:
	Paul Lu
	Assistant Professor
	Dept. of Computing Science
	Athabasca Hall
	University of Alberta
	Edmonton, Alberta, T6G 2E8
	Canada

	E-mail:         paullu@cs.ualberta.ca
	Web:            http://www.cs.ualberta.ca/~paullu/

Other contributors to PBSWeb (as of July 2001)
	George Ma, Victor Salamon, Christopher Pinchak, Yaling Pei,
	Jonathan Schaeffer, Duane Szafron
*/

# --------------------------------------------------------------------------------------------
# Vick 20010126 contains debugging related functions in php
# --------------------------------------------------------------------------------------------
# { REVISIONS BEGIN
#   Vick 20010126 created: pbsdbg, print_debugged, $PBSDBGSTR
# } REVISIONS END
# --------------------------------------------------------------------------------------------

include_once("PBSWebConstants.php");

$PBSDBGSTR="";

# function used to log/debug messages, 
# depending on the value of the PBSDBGBEHAVIOUR constant
function pbsdbg($filename, $lineno, $dbgmsg)
{
   global $PBSDBGSTR;

   if("PRINT"==PBSDBGBEHAVIOUR)
   { print "\nDBG:$filename:$lineno:$dbgmsg<br>"; }
   else
   if("RECORD_HISTORY"==PBSDBGBEHAVIOUR)
   { $PBSDBGSTR.="\nDBG:$filename:$lineno:$dbgmsg<br>"; }
   else
   if("RECORD_LAST"==PBSDBGBEHAVIOUR)
   { $PBSDBGSTR ="\nDBG:$filename:$lineno:$dbgmsg<br>"; }
   else
   if("EMAIL"==PBSDBGBEHAVIOUR)
   { 
    # implement later
   }
}

function get_debugged()
{
   global $PBSDBGSTR;
   return $PBSDBGSTR;
}

# prints and resets the log/debug message
function print_debugged()
{
   global $PBSDBGSTR;
   print get_debugged();
   $PBSDBGSTR="";
}

?>
