<?php
/*

PBSWeb: A Web-based Interface to PBS
Copyright (C) 2000, 2001  Paul Lu

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

.......................
Please leave this copyright notice intact.
See http://www.gnu.org/copyleft/gpl.html for further details

Contact information:
	Paul Lu
	Assistant Professor
	Dept. of Computing Science
	Athabasca Hall
	University of Alberta
	Edmonton, Alberta, T6G 2E8
	Canada

	E-mail:         paullu@cs.ualberta.ca
	Web:            http://www.cs.ualberta.ca/~paullu/

Other contributors to PBSWeb (as of July 2001)
	George Ma, Victor Salamon, Christopher Pinchak, Yaling Pei,
	Jonathan Schaeffer, Duane Szafron
*/

# --------------------------------------------------------------------------------------------
# Vick 20010109 contains functions that could not be classified elsewhere
# --------------------------------------------------------------------------------------------
# { REVISIONS BEGIN
#   Vick 20010109 created; dispErrorPage
# } REVISIONS END
# --------------------------------------------------------------------------------------------

# --------------------------------------------------------------------------------------------
# { FUNCTIONS BEGIN

function dispErrorPage($message)
{
echo "<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.01 Transitional//EN'>
      <html>
        <head>
          <title>PBSWeb Error</title>
        </head>
        <body bgcolor='white'><hr>
           <table bgcolor='red'>
	     <tr>
	        <td colspan='2'>
                   <h1>PBSWeb Error</h1>
	        </td>
  	     </tr>
	     <tr>
	        <td> <b> Error message </b> </td>
	        <td> $message </td>
             </tr>
	     <tr>
	        <td colspan='2'>
		  You may find the solution to your problem by 
		  <a href='help.html'>clicking here</a>.
	        </td>
	     </tr>
          </table>
        </body>
      </html>
     ";
}


// Paul adapted this from Victor's original dispErrorPage
function dispErrorPageAutoHelp($message)
{
	$referer = $HTTP_REFERER;

		// Referer not yet working
echo "<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.01 Transitional//EN'>
      <html>
        <head>
          <title>PBSWeb Error</title>
        </head>
        <body bgcolor='white'><hr>
           <table bgcolor='red'>
	     <tr>
	        <td colspan='2'>
                   <h1>PBSWeb Error</h1>
	        </td>
  	     </tr>
	     <tr>
	        <td > <b> Error message: </b> </td>
	        <td bgcolor='white'> $message </td>
             </tr>
	     <tr>
	        <td colspan='2' >
		  You may find the solution to your problem by clicking on
			<br><b>Go to Context Sensitive Help</b> below.
	        </td>
	     </tr>
          </table>

	  <FORM ACTION=\"Help/search.php\" METHOD=\"post\">
		<INPUT TYPE=\"submit\" VALUE=\"Go to Context Sensitive Help\">
		<INPUT TYPE=\"hidden\" NAME=\"keywords\" VALUE=\"$message\">
		<INPUT TYPE=\"hidden\" NAME=\"fromPage\" VALUE=\"$referer\">
	  </FORM>

        </body>
      </html>
     ";
}

# Vick 20010215 given an array of characters, 
# returns only those entries that match (if $match=1)
# or only those that do not match ($match=0)
function filterArray($array, $val_to_filter, $match)
{
   $array_rez=array();

   foreach ($array as $array_elem)
   {
     if($match)
     {
       if(preg_match("/$val_to_filter/", $array_elem))
       { array_push($array_rez, $array_elem); }
     }
     else
     {
       if(!preg_match("/$val_to_filter/", $array_elem))
       { array_push($array_rez, $array_elem); }
     }

   }
   return $array_rez;
}

function correct_path_slash()
{
    $rezult="";

    $numargs = func_num_args();
    $arg_list = func_get_args();
    for ($i = 0; $i < $numargs; $i++) 
    { 
      # echo "Argument $i is: " . $arg_list[$i] . "<br>\n"; 
      if(ereg("^/"))
      { $intermidiate=substr($arg_list[$i],1,strlen($arg_list[$i])-1); }
      if(ereg("/$"))
      { $intermidiate=substr($arg_list[$i],0,strlen($arg_list[$i])-1); }
      $rezult.=$intermidiate."/";
    }
   
}

function array_to_str($array_arg)
{
  $rezult="";
  foreach ($array_arg as $array_elem)
  { $rezult.=$array_elem; }

  return $rezult;
}

function get_javascript_select_function()
{
   return "
            function utils_select_option(some_select,value_to_select)
	    {
	       if(!some_select)
	       { 
	         confirm('utils_select_option: The some_select argument is null');
		 return;
               }

	       var i;
	       for(i=0;i<some_select.options.length;i++)
	       {
	         if(some_select.options[i].value==value_to_select)
		 { 
		   some_select.selectedIndex=i; 
		   break; 
		 }
	       }
	    }
          ";
}

# } FUNCTIONS END
# --------------------------------------------------------------------------------------------

?>

